From e6cc2398edd8fa5cd75ff465347c49d4b9e5bd56 Mon Sep 17 00:00:00 2001
From: Sam Gleske <sag47@drexel.edu>
Date: Thu, 12 Sep 2013 17:54:41 -0400
Subject: [PATCH] Forgot to abort when repository exists

---
 add_mirror.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/add_mirror.sh b/add_mirror.sh
index aa89040..9f84910 100755
--- a/add_mirror.sh
+++ b/add_mirror.sh
@@ -156,6 +156,7 @@ elif [ ! -d "${repo_dir}/${gitlab_namespace}" ];then
   exit 1
 elif [ -d "${repo_dir}/${gitlab_namespace}/${project_name}" ];then
   red_echo "Error: \"${repo_dir}/${gitlab_namespace}\" exists already.  Aborting command." 1>&2
+  exit 1
 fi
 
 #Set up project creation options based on config.sh to be passed to create manage_gitlab_project.py
-- 
GitLab